portsmodel::PortFuse Interface Reference

Interface describing a controllable fuse for a device port. More...

`import"PortFuse.idl";`

## Public Types

enum | Status { UNKNOWN, TRIPPED, GOOD }
| Status type for port fuse. More...

## Public Member Functions

Status | getStatus ()
| Get the current status of the fuse. More...
void | reset ()
| Attempt a fuse reset. More...

## Public Attributes

valueobject | StatusChangedEvent: idl::Event { Status oldStatus
| Event: The state of the fuse has changed. More...
Status | newStatus
| Current (new) fuse status.

## Detailed Description

Interface describing a controllable fuse for a device port.

## Member Enumeration Documentation

## Status

enum portsmodel::PortFuse::Status

Status type for port fuse.

Enumerator
UNKNOWN | Status can't be determined.
TRIPPED | Fuse is open (tripped)
GOOD | Fuse is closed (good)

## Member Function Documentation

## getStatus()

Status portsmodel::PortFuse::getStatus | ( |  | ) |

Get the current status of the fuse.

Returns
  Current fuse status

## reset()

void portsmodel::PortFuse::reset | ( |  | ) |

Attempt a fuse reset.

Tries to recover the fuse from tripped state. When calling this after correcting the previous short circuit condition, the fuse should transition into 'good' state again. If the short circuit condition is still present, this operation is a no-op.

## Member Data Documentation

## StatusChangedEvent

valueobject portsmodel::PortFuse::StatusChangedEvent

Event: The state of the fuse has changed.

Previous fuse status

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/PortFuse.idl